XScreenSaver(1)

NAME
spotlight - move spotlight around desktop

SYNOPSIS
spotlight [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-delay usecs] [-duration secs] [-radius pixels] [-fps]

DESCRIPTION
The spotlight program takes an image and exposes small sections of it as if through a wandering spotlight beam. The image that it manipulates will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-demo(1) for more details.

OPTIONS
spotlight accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay microseconds
    Slow it down.

-duration seconds
    How long to run before loading a new image. Default 120 seconds.

-radius pixels
    Radius of the spotlight in pixels.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-demo(1), xscreensaver-getimage(1)

COPYRIGHT
Copyright © 1999 by Rick Schultz. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

CREDITS
Hacked together by Rick Schultz <rick@skapunx.net>, based on StefView for BackSpace by Darcy Brockbank and on several other xscreensaver hacks.